<!--
 Copyright (c) 2023 by frostime (Yp Z), All Rights Reserved.
 Author       : Yp Z
 Date         : 2023-07-07 21:46:31
 FilePath     : /src/lib/Flex/Flex.svelte
 LastEditTime : 2023-07-08 14:01:58
 Description  : 
-->
<script lang="ts">
    export let direction: "row" | "column" = "row";
    export let className: string = "";
    $: classFlex = direction === "row" ? "fn__flex" : "fn__flex-column";
</script>

<div class="sslib__flex {classFlex} {className}">
    <slot />
</div>


